# $Revision: 1.146 $, $Date: 2008/11/03 21:24:09 $
#
# Conditional build:
%bcond_without	kdegames	# no kdegames dep
%if "%{pld_release}" == "ac"
%bcond_without	xmms		# xmms dep
%else
# off because we don't want gtk1 deps (gtk1 is slowly being obsoleted on HEAD)
%bcond_with	xmms		# xmms dep
%endif

%define		_state		stable
%define		_minlibsevr	9:%{version}
%define		_minbaseevr	9:%{version}
%define		_minmultimediaevr	9:%{version}
%define		_minpimevr	9:%{version}
%define		_minnetworkevr	10:%{version}
%define		_mingamesevr	8:%{version}
Summary:	K Desktop Environment - Plugins
Summary(es.UTF-8):	K Desktop Environment - Plugins e Scripts para aplicativos KDE
Summary(pl.UTF-8):	Wtyczki do aplikacji KDE
Summary(pt_BR.UTF-8):	K Desktop Environment - Plugins e Scripts para aplicações KDE
Name:		kdeaddons
Version:	3.5.10
Release:	3
Epoch:		1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	c69d082407b2c1bb46d078f8ac5d2bea
#Patch100:	%{name}-branch.diff
Patch0:		kde-common-PLD.patch
Patch1:		kde-ac260-lt.patch
Patch2:		%{name}-babelfish-google.patch
URL:		http://www.kde.org/
BuildRequires:	SDL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-cxx-devel
BuildRequires:	gettext-devel
BuildRequires:	kdebase-devel >= %{_minbaseevr}
%{?with_kdegames:BuildRequires:	kdegames-devel >= %{_mingamesevr}}
BuildRequires:	kdemultimedia-devel >= %{_minmultimediaevr}
BuildRequires:	kdenetwork-devel >= %{_minnetworkevr}
BuildRequires:	kdepim-devel >= %{_minpimevr}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	mdns-bonjour-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
%{?with_xmms:BuildRequires:	xmms-devel}
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plugins for some KDE applications: %{name} extends the functionality
of Konqueror (web browser and file manager), noatun (media player) and
Kate (text editor).

%description -l pl.UTF-8
Wtyczki dla niektórych aplikacji KDE, rozszerzające funkcjonalność
Konquerora (przeglądarki WWW i zarządcy plików), noatun (odtwarzacza
plików multimedialnych), Kate (edytora tekstu).

%description -l pt_BR.UTF-8
kdeaddons contem plugins e scripts adicionais para alguma aplicações
KDE.

%package ark
Summary:	Konqueror ark integration plugin
Summary(pl.UTF-8):	Wtyczka pozwalająca na integrację konquerora z ark
Group:		X11/Applications
Requires:	kdeutils-ark

%description ark
Konqueror plugin for integrating ark (a compression/decompression
program) with the filemanager.

%description ark -l pl.UTF-8
Wtyczka do konquerora integrująca ark (program do
kompresji/dekompresji archiwów) z zarządcą plików.

%package atlantikdesigner
Summary:	Atlantik board designer
Summary(pl.UTF-8):	Program do tworzenia plansz dla gry Atlantik
Group:		X11/Applications/Games
Requires:	kdegames-atlantik >= %{_mingamesevr}

%description atlantikdesigner
Atlantik board designer.

%description atlantikdesigner -l pl.UTF-8
Program do tworzenia plansz dla gry Atlantik.

%package fsview
Summary:	FSView - a tool for showing disc utilization in a graphical form
Summary(pl.UTF-8):	FSview - narzędzie do graficznego przedstawiania wolnego miejsca na dysku
Group:		X11/Applications
Requires:	konqueror >= %{_minbaseevr}

%description fsview
FSView is a tool for showing disc utilization in a graphical form,
much like the UNIX command 'du'.

%description fsview -l pl.UTF-8
FSview służy do graficznego przedstawiania wolnego miejsca na dysku,
działa podobnie do polecenia 'du'.

%package kaddressbook-plugins
Summary:	Plugins for kaddressbook
Summary(es.UTF-8):	Plugins para kaddressbook
Summary(pl.UTF-8):	Wtyczki do kaddressbook
Summary(pt_BR.UTF-8):	Plugins para kaddressbook
Group:		X11/Applications
Requires:	kdepim-kaddressbook >= %{_minpimevr}

%description kaddressbook-plugins
Plugins for kaddressbook.

%description kaddressbook-plugins -l es.UTF-8
Este paquete prove plugins de KDE para kaddressbook.

%description kaddressbook-plugins -l pl.UTF-8
Wtyczki do kaddressbook.

%description kaddressbook-plugins -l pt_BR.UTF-8
Este pacote fornece plugins KDE para kaddressbook.

%package kate
Summary:	Plugins for the Kate text editor
Summary(es.UTF-8):	Plugins para kdebase-kate
Summary(pl.UTF-8):	Wtyczki do edytora tekstu Kate
Summary(pt_BR.UTF-8):	Plugins para kdebase-kate
Group:		X11/Applications
Requires:	kdebase-kate >= %{_minbaseevr}

%description kate
kdeaddons-kate contains plugins extending the functionality of the
Kate (KDE Advanced Text Editor) editor. kdeaddons-kate adds, among
other things, DCOP support, project management and text filtering
capabilities.

%description kate -l es.UTF-8
Este paquete prove plugins de KDE para kdebase-kate.

%description kate -l pl.UTF-8
Ten pakiet zawiera wtyczki rozszerzające funkcjonalność Kate (KDE
Advanced Text Editor - Zaawansowanego Edytora Tekstów KDE). Dodaje
m.in. obsługę DCOP, możliwość zarządzania projektami i filtrowania
tekstu.

%description kate -l pt_BR.UTF-8
Este pacote fornece plugins KDE para kdebase-kate.

%package kicker
Summary:	Plugins and additional applets for Kicker (the KDE panel)
Summary(es.UTF-8):	Plugins para kdebase-kicker
Summary(pl.UTF-8):	Wtyczki i dodatkowe aplety do Kickera (panelu KDE)
Summary(pt_BR.UTF-8):	Plugins para kdebase-kicker
Group:		X11/Applications
Requires:	kdebase-desktop >= %{_minbaseevr}

%description kicker
Plugins and additional applets for Kicker (the KDE panel).

%description kicker -l es.UTF-8
Este paquete prove plugins de KDE para kdebase-kicker.

%description kicker -l pl.UTF-8
Wtyczki i dodatkowe aplety dla Kickera (panelu KDE).

%description kicker -l pt_BR.UTF-8
Este pacote fornece plugins KDE para kdebase-kicker.

%package knewsticker
Summary:	Scripts extending the functionality of KNewsTicker
Summary(pl.UTF-8):	Skrypty rozszerzające funkcjonalność KNewsTickera
Group:		X11/Applications
Requires:	kdenetwork-knewsticker >= %{_minnetworkevr}

%description knewsticker
Scripts extending the functionality of KNewsTicker.

%description knewsticker -l pl.UTF-8
Skrypty rozszerzające funkcjonalność KNewsTickera.

%package konqueror
Summary:	Plugins extending the functionality of Konqueror
Summary(es.UTF-8):	Plugins para konqueror
Summary(pl.UTF-8):	Wtyczki rozszerzające funkcjonalność Konquerora
Summary(pt_BR.UTF-8):	Plugins para konqueror
Group:		X11/Applications
Requires:	konqueror >= %{_minbaseevr}

%description konqueror
Plugins extending the functionality of Konqueror. %{name}-konqueror
contains, among other things, plugins for translating web pages,
checking web pages for valid HTML code, and viewing the DOM tree of
web pages.

%description konqueror -l es.UTF-8
Este paquete prove plugins de KDE para kdebase-konqueror.

%description konqueror -l pl.UTF-8
Pakiet zawiera wtyczki rozszerzające funkcjonalność Konquerora.
Zawiera m.in. wtyczki do tłumaczenia stron WWW, sprawdzania
poprawności HTML-a, oglądania drzewa DOM stron WWW.

%description konqueror -l pt_BR.UTF-8
Este pacote fornece plugins KDE para kdebase-konqueror.

%package ksig
Summary:	A signature creator and manager
Summary(pl.UTF-8):	Program tworzący i zarządzający podpisami
Group:		X11/Applications
Requires:	kdebase-core >= %{_minbaseevr}

%description ksig
A signature creator and manager.

%description ksig -l pl.UTF-8
Program tworzący i zarządzający podpisami.

%package lnkforward
Summary:	Windows link file forwarder
Summary(pl.UTF-8):	Przekierowywacz skrótów windowsowych
Group:		X11/Applications
Requires:	kdebase-core >= %{_minbaseevr}

%description lnkforward
A konqueror extension that makes windows .lnk files work under Linux.

%description lnkforward -l pl.UTF-8
Rozszerzenie do konquerora sprawiające, że windowsowe skróty .lnk
działają pod Linuksem.

%package noatun
Summary:	Plugins extending the functionality of the noatun media player
Summary(es.UTF-8):	Plugins para kdemultimedia-noatun
Summary(pl.UTF-8):	Wtyczki rozszerzające funkcjonalność odtwarzacza noatun
Summary(pt_BR.UTF-8):	Plugins para kdemultimedia-noatun
Group:		X11/Applications
Requires:	kdemultimedia-noatun >= %{_minmultimediaevr}

%description noatun
Plugins extending the functionality of the noatun media player.

%description noatun -l es.UTF-8
Este paquete prove plugins de KDE para kdemultimedia-noatun.

%description noatun -l pl.UTF-8
Wtyczki rozszerzające funkcjonalność odtwarzacza plików
multimedialnych noatun.

%description noatun -l pt_BR.UTF-8
Este pacote fornece plugins KDE para kdemultimedia-noatun.

%prep
%setup -q
#%patch100 -p0
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__sed} -i -e '/\[Desktop Entry\]/aEncoding=UTF-8' \
	-e 's/Terminal=0/Terminal=false/' \
	atlantikdesigner/atlantikdesigner.desktop
%{__sed} -i -e 's/Terminal=0/Terminal=false/' \
	ksig/ksig.desktop
for f in `find . -name \*.desktop`; do
	if grep -q '^Categories=.*[^;]$' $f; then
		sed -i -e 's/\(^Categories=.*$\)/\1;/' $f
	fi
done

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs
%configure \
	--disable-rpath \
	--disable-final \
	--with-qt-libraries=%{_libdir} \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full}

%{__make}

%install
if [ ! -f makeinstall.stamp -o ! -d $RPM_BUILD_ROOT ]; then
	rm -rf makeinstall.stamp installed.stamp $RPM_BUILD_ROOT

	%{__make} install \
		DESTDIR=$RPM_BUILD_ROOT \
		kde_libs_htmldir=%{_kdedocdir} \
		kde_htmldir=%{_kdedocdir}

	touch makeinstall.stamp
fi

if [ ! -f installed.stamp ]; then
	touch makeinstall.stamp
fi

if [ ! -f installed.stamp ]; then
	%if 0
	# Debian manpages
	install -d $RPM_BUILD_ROOT%{_mandir}/man1
	install debian/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
	%endif

	mv $RPM_BUILD_ROOT%{_iconsdir}/{lo,hi}color/16x16/apps/autorefresh.png

	# unsupported
	rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/locolor

	rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/*.la

	touch installed.stamp
fi

rm -f *.lang
%find_lang kate-plugins		--with-kde
%find_lang kicker-applets	--with-kde
%find_lang konq-plugins		--with-kde
%find_lang ksig		--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files ark
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/libarkplugin.so
%{_datadir}/applnk/.hidden/arkplugin.desktop
%{_datadir}/services/ark_plugin.desktop

%if %{with kdegames}
%files atlantikdesigner
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/atlantikdesigner
%{_datadir}/apps/atlantikdesigner
%{_desktopdir}/kde/atlantikdesigner.desktop
%{_iconsdir}/*/*/*/atlantikdesigner.png
#%{_mandir}/man1/atlantikdesigner.1*
%endif

%files fsview
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fsview
%attr(755,root,root) %{_libdir}/kde3/libfsviewpart.so
%{_datadir}/apps/fsview
%{_datadir}/services/fsview_part.desktop
%{_datadir}/applnk/.hidden/fsview.desktop
%{_iconsdir}/*/*/apps/fsview.png
#%{_mandir}/man1/fsview.1*

%files kaddressbook-plugins
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/libkaddrbk_geo_xxport.so
%attr(755,root,root) %{_libdir}/kde3/libkaddrbk_gmx_xxport.so
%{_datadir}/apps/kaddressbook/geo_xxportui.rc
%{_datadir}/apps/kaddressbook/gmx_xxportui.rc
%{_datadir}/services/kaddressbook/geo_xxport.desktop
%{_datadir}/services/kaddressbook/gmx_xxport.desktop

%files kate -f kate-plugins.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/kate*.so
%attr(755,root,root) %{_libdir}/kde3/libkatetabbarextensionplugin.so
%{_datadir}/apps/kate/plugins/*
%{_datadir}/apps/kate/scripts/html-tidy.desktop
%{_datadir}/apps/katepart/syntax/katetemplate.xml
%attr(755,root,root) %{_datadir}/apps/kate/scripts/html-tidy.sh
%{_datadir}/apps/katexmltools
%{_datadir}/services/kate*
%{_datadir}/applnk/.hidden/katefll.desktop

%files kicker -f kicker-applets.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/kbinaryclock_panelapplet.so
%attr(755,root,root) %{_libdir}/kde3/kolourpicker_panelapplet.so
%attr(755,root,root) %{_libdir}/kde3/ktimemon_panelapplet.so
%attr(755,root,root) %{_libdir}/kde3/math_panelapplet.so
%attr(755,root,root) %{_libdir}/kde3/mediacontrol_panelapplet.so
%{_datadir}/apps/kicker/applets/kbinaryclock.desktop
%{_datadir}/apps/kicker/applets/kolourpicker.desktop
%{_datadir}/apps/kicker/applets/ktimemon.desktop
%{_datadir}/apps/kicker/applets/mathapplet.desktop
%{_datadir}/apps/kicker/applets/mediacontrol.desktop
%{_datadir}/apps/mediacontrol
%{_datadir}/config.kcfg/kbinaryclock.kcfg
%{_iconsdir}/crystalsvg/*/apps/ktimemon.png
%{_iconsdir}/hicolor/*/apps/autorefresh.png

%files knewsticker
%defattr(644,root,root,755)
%dir %{_datadir}/apps/knewsticker/scripts
%{_datadir}/apps/knewsticker/scripts/Generic.Newsticker.Error
%{_datadir}/apps/knewsticker/scripts/Readme.ErrorHandling
%{_datadir}/apps/knewsticker/scripts/Readme.newsrss
%{_datadir}/apps/knewsticker/scripts/Readme.stock
%{_datadir}/apps/knewsticker/scripts/bbc.pl
%{_datadir}/apps/knewsticker/scripts/fyensget.py
%{_datadir}/apps/knewsticker/scripts/newsrss.pl
%{_datadir}/apps/knewsticker/scripts/sportscores.py
%{_datadir}/apps/knewsticker/scripts/stock.pl

%files konqueror -f konq-plugins.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jpegorient
%attr(755,root,root) %{_bindir}/kio_media_realfolder
%attr(755,root,root) %{_libdir}/kde3/kfile_cert.so
%attr(755,root,root) %{_libdir}/kde3/kfile_desktop.so
%attr(755,root,root) %{_libdir}/kde3/kfile_folder.so
%attr(755,root,root) %{_libdir}/kde3/kfile_html.so
%attr(755,root,root) %{_libdir}/kde3/kfile_mhtml.so
%attr(755,root,root) %{_libdir}/kde3/kfile_txt.so
%attr(755,root,root) %{_libdir}/kde3/konqsidebar_mediaplayer.so
%attr(755,root,root) %{_libdir}/kde3/konqsidebar_delicious.so
%attr(755,root,root) %{_libdir}/kde3/konqsidebar_metabar.so
%attr(755,root,root) %{_libdir}/kde3/libautorefresh.so
%attr(755,root,root) %{_libdir}/kde3/libbabelfishplugin.so
%attr(755,root,root) %{_libdir}/kde3/libcrashesplugin.so
%attr(755,root,root) %{_libdir}/kde3/libdirfilterplugin.so
%attr(755,root,root) %{_libdir}/kde3/libdomtreeviewerplugin.so
%attr(755,root,root) %{_libdir}/kde3/librellinksplugin.so
%attr(755,root,root) %{_libdir}/kde3/libsearchbarplugin.so
%attr(755,root,root) %{_libdir}/kde3/kcm_kuick.so
%attr(755,root,root) %{_libdir}/kde3/libkhtmlsettingsplugin.so
%attr(755,root,root) %{_libdir}/kde3/libkimgallery.so
%attr(755,root,root) %{_libdir}/kde3/libkuickplugin.so
%attr(755,root,root) %{_libdir}/kde3/libminitoolsplugin.so
%attr(755,root,root) %{_libdir}/kde3/libmfkonqmficon.so
%attr(755,root,root) %{_libdir}/kde3/librenaudioplugin.so
%attr(755,root,root) %{_libdir}/kde3/librenimageplugin.so
%attr(755,root,root) %{_libdir}/kde3/libuachangerplugin.so
%attr(755,root,root) %{_libdir}/kde3/libvalidatorsplugin.so
%attr(755,root,root) %{_libdir}/kde3/libwebarchiverplugin.so
%attr(755,root,root) %{_libdir}/kde3/webarchivethumbnail.so
%{_datadir}/apps/domtreeviewer
%{_datadir}/apps/khtml/kpartplugins/autorefresh.desktop
%{_datadir}/apps/khtml/kpartplugins/autorefresh.rc
%{_datadir}/apps/khtml/kpartplugins/babelfishplugin.desktop
%{_datadir}/apps/khtml/kpartplugins/crashesplugin.desktop
%{_datadir}/apps/khtml/kpartplugins/crashesplugin.rc
%{_datadir}/apps/khtml/kpartplugins/domtreeviewerplugin.desktop
%{_datadir}/apps/khtml/kpartplugins/khtmlsettingsplugin.desktop
%{_datadir}/apps/khtml/kpartplugins/khtmlsettingsplugin.rc
%{_datadir}/apps/khtml/kpartplugins/mf_konqmficon.desktop
%{_datadir}/apps/khtml/kpartplugins/mf_konqmficon.rc
%{_datadir}/apps/khtml/kpartplugins/minitoolsplugin.desktop
%{_datadir}/apps/khtml/kpartplugins/minitoolsplugin.rc
%{_datadir}/apps/khtml/kpartplugins/plugin_babelfish.desktop
%{_datadir}/apps/khtml/kpartplugins/plugin_babelfish.rc
%{_datadir}/apps/khtml/kpartplugins/plugin_domtreeviewer.desktop
%{_datadir}/apps/khtml/kpartplugins/plugin_domtreeviewer.rc
%{_datadir}/apps/khtml/kpartplugins/plugin_rellinks.desktop
%{_datadir}/apps/khtml/kpartplugins/plugin_rellinks.rc
%{_datadir}/apps/khtml/kpartplugins/plugin_validators.desktop
%{_datadir}/apps/khtml/kpartplugins/plugin_validators.rc
%{_datadir}/apps/khtml/kpartplugins/plugin_webarchiver.desktop
%{_datadir}/apps/khtml/kpartplugins/plugin_webarchiver.rc
%{_datadir}/apps/khtml/kpartplugins/uachangerplugin.desktop
%{_datadir}/apps/khtml/kpartplugins/uachangerplugin.rc
%{_datadir}/apps/khtml/kpartplugins/validatorsplugin.desktop
%{_datadir}/apps/khtml/kpartplugins/webarchiverplugin.desktop
%{_datadir}/apps/konqiconview/kpartplugins/dirfilterplugin.rc
%{_datadir}/apps/konqiconview/kpartplugins/dirfilterplugin.desktop
%{_datadir}/apps/konqiconview/kpartplugins/kimgalleryplugin.rc
%{_datadir}/apps/konqiconview/kpartplugins/kimgalleryplugin.desktop
%{_datadir}/apps/konqlistview/kpartplugins/dirfilterplugin.rc
%{_datadir}/apps/konqlistview/kpartplugins/dirfilterplugin.desktop
%{_datadir}/apps/konqlistview/kpartplugins/kimgalleryplugin.rc
%{_datadir}/apps/konqlistview/kpartplugins/kimgalleryplugin.desktop
%{_datadir}/apps/konqsidebartng/add/mplayer_add.desktop
%{_datadir}/apps/konqsidebartng/add/delicious_add.desktop
%{_datadir}/apps/konqsidebartng/add/metabar_add.desktop
%{_datadir}/apps/konqsidebartng/entries/metabar.desktop
%{_datadir}/apps/konqueror/kpartplugins
%{_datadir}/apps/konqueror/servicemenus/imageconverter.desktop
%{_datadir}/apps/konqueror/servicemenus/jpegorient.desktop
%{_datadir}/apps/konqueror/servicemenus/media_realfolder.desktop
%{_datadir}/apps/metabar
%{_datadir}/apps/microformat
%{_datadir}/config/translaterc
%{_datadir}/services/kfile_cert.desktop
%{_datadir}/services/kfile_desktop.desktop
%{_datadir}/services/kfile_folder.desktop
%{_datadir}/services/kfile_html.desktop
%{_datadir}/services/kfile_mhtml.desktop
%{_datadir}/services/kfile_txt.desktop
%{_datadir}/services/kuick_plugin.desktop
%{_datadir}/services/renaudiodlg.desktop
%{_datadir}/services/renimagedlg.desktop
%{_datadir}/services/webarchivethumbnail.desktop
%{_datadir}/applnk/.hidden/crashesplugin.desktop
%{_datadir}/applnk/.hidden/dirfilterplugin.desktop
%{_datadir}/applnk/.hidden/kcmkuick.desktop
%{_datadir}/applnk/.hidden/khtmlsettingsplugin.desktop
%{_datadir}/applnk/.hidden/kimgalleryplugin.desktop
%{_datadir}/applnk/.hidden/kuickplugin.desktop
%{_datadir}/applnk/.hidden/mediaplayerplugin.desktop
%{_datadir}/applnk/.hidden/plugin_babelfish.desktop
%{_datadir}/applnk/.hidden/plugin_domtreeviewer.desktop
%{_datadir}/applnk/.hidden/plugin_validators.desktop
%{_datadir}/applnk/.hidden/plugin_webarchiver.desktop
%{_datadir}/applnk/.hidden/uachangerplugin.desktop
%{_iconsdir}/crystalsvg/*/actions/babelfish.png
%{_iconsdir}/crystalsvg/*/actions/cssvalidator.png
%{_iconsdir}/crystalsvg/*/actions/domtreeviewer.png
%{_iconsdir}/crystalsvg/*/actions/htmlvalidator.png
%{_iconsdir}/crystalsvg/*/actions/imagegallery.png
%{_iconsdir}/crystalsvg/*/actions/minitools.png
%{_iconsdir}/crystalsvg/*/actions/validators.png
%{_iconsdir}/crystalsvg/*/actions/webarchiver.png
%{_iconsdir}/crystalsvg/*/apps/konqsidebar_mediaplayer.png
%{_iconsdir}/crystalsvg/*/apps/konqsidebar_delicious.png
%{_iconsdir}/*/*/apps/metabar.png
%{_iconsdir}/*/*/apps/metabar.svgz
#%{_mandir}/man1/exif.py.1*
#%{_mandir}/man1/jpegorient.1*
#%{_mandir}/man1/orient.py.1*
# TODO - requires kdenetwork-{knewsticker,rss}
%attr(755,root,root) %{_libdir}/kde3/konq_sidebarnews.so
%{_datadir}/apps/konqsidebartng/add/news_add.desktop
%{_datadir}/apps/konqueror/icons/crystalsvg/16x16/actions/google.png
%{_datadir}/config.kcfg/konq_sidebarnews.kcfg
%{_iconsdir}/crystalsvg/*/apps/konqsidebar_news.png
# TODO - requires kdepim (akregator)
%attr(755,root,root) %{_libdir}/kde3/libakregatorkonqfeedicon.so
%attr(755,root,root) %{_libdir}/kde3/libakregatorkonqplugin.so
%{_datadir}/apps/akregator/pics/rss.png
%{_datadir}/apps/khtml/kpartplugins/akregator_konqfeedicon.desktop
%{_datadir}/apps/khtml/kpartplugins/akregator_konqfeedicon.rc
%{_datadir}/services/akregator_konqplugin.desktop
%dir %{_datadir}/apps/imagerotation
%attr(755,root,root) %{_datadir}/apps/imagerotation/orient.py
%attr(755,root,root) %{_datadir}/apps/imagerotation/exif.py

%files ksig -f ksig.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ksig
%{_datadir}/apps/ksig
%{_desktopdir}/kde/ksig.desktop
%{_iconsdir}/*/*/apps/ksig.png
#%{_mandir}/man1/ksig.1*

%files lnkforward
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lnkforward
%attr(755,root,root) %{_libdir}/kde3/kfile_lnk.so
%{_datadir}/applnk/.hidden/lnkforward.desktop
%{_datadir}/mimelnk/application/x-win-lnk.desktop
%{_datadir}/services/kfile_lnk.desktop
#%{_mandir}/man1/lnkforward.1*

%files noatun
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/noatunsynaescope.bin
%attr(755,root,root) %{_bindir}/noatuntippecanoe.bin
%attr(755,root,root) %{_bindir}/noatuntyler.bin
%attr(755,root,root) %{_libdir}/kde3/noatun_ffrs.so
%attr(755,root,root) %{_libdir}/kde3/noatunalsaplayer.so
%attr(755,root,root) %{_libdir}/kde3/noatunblurscope.so
%attr(755,root,root) %{_libdir}/kde3/noatuncharlatan.so
%attr(755,root,root) %{_libdir}/kde3/noatun_oblique.so
%attr(755,root,root) %{_libdir}/kde3/noatundub.so
%attr(755,root,root) %{_libdir}/kde3/noatunluckytag.so
%attr(755,root,root) %{_libdir}/kde3/noatunlyrics.so
%attr(755,root,root) %{_libdir}/kde3/noatunmadness.so
%attr(755,root,root) %{_libdir}/kde3/noatunpitchablespeed.so
%attr(755,root,root) %{_libdir}/kde3/noatunsynaescope.so
%attr(755,root,root) %{_libdir}/kde3/noatuntippecanoe.so
%attr(755,root,root) %{_libdir}/kde3/noatuntyler.so
%attr(755,root,root) %{_libdir}/kde3/noatunwakeup.so
%attr(755,root,root) %{_libdir}/kde3/noatunwavecapture.so
%{_datadir}/apps/noatun/*
%{_iconsdir}/crystalsvg/*/apps/synaescope.png
#%{_mandir}/man1/noatunsynaescope.bin.1*
#%{_mandir}/man1/noatuntippecanoe.bin.1*
#%{_mandir}/man1/noatuntyler.bin.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdeaddons.spec,v $
Revision 1.146  2008/11/03 21:24:09  glen
- typo in babefish google patch; rel 3

Revision 1.145  2008/11/03 19:34:51  glen
- google translate support for babelfish addon; rel 2

Revision 1.144  2008/11/03 19:34:38  glen
- pld_release checks

Revision 1.143  2008/08/25 07:08:13  arekm
- up to 3.5.10

Revision 1.142  2008/07/21 08:08:30  arekm
- rel 5

Revision 1.141  2008/06/28 20:09:26  arekm
- release 4

Revision 1.140  2008-06-14 10:21:21  arekm
- rel 3

Revision 1.139  2008-02-17 12:49:51  glen
- merged KDE 3.5.9 from AC-branch

Revision 1.138  2008-01-20 19:23:07  arekm
- rel 3; disable xmms support (gtk1)

Revision 1.137  2008-01-19 14:34:15  qboosh
- tab, URL

Revision 1.136  2007-12-25 18:34:39  glen
- rel 2

Revision 1.135  2007-10-09 13:48:10  arekm
- up to 3.5.8

Revision 1.134  2007/09/05 17:28:01  baggins
- rel 2

Revision 1.133  2007/05/14 19:01:04  arekm
- up to 3.5.7

Revision 1.132  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.131  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.130  2007/01/27 18:02:38  arekm
- security fix in webarchive plugin

Revision 1.129  2007/01/17 12:24:50  arekm
- up to 3.5.6

Revision 1.128  2007/01/09 21:47:01  arekm
- rel 1

Revision 1.127  2006/11/28 23:07:21  arekm
- disable R: libtool() stuff

Revision 1.126  2006/10/25 21:27:42  glen
- KDE 3.5.5 from AC-branch

Revision 1.125  2006/10/11 07:11:10  arekm
- add kde-ac260-lt.patch

Revision 1.124  2006/08/08 19:48:45  glen
- updated to 3.5.4

Revision 1.123  2006/07/15 18:07:38  glen
- rellinksplugin into -konqueror package

Revision 1.122  2006/05/25 21:22:49  glen
- remove unsupported (by whom??) locolor icons

Revision 1.121  2006/05/25 18:24:17  arekm
- up to 3.5.3

Revision 1.120  2006/04/01 17:05:45  glen
- merged 3.5.2 from AC-branch

Revision 1.119  2006/03/19 20:11:03  freetz
- require virtual mdns-bonjour-devel, rel.2

Revision 1.118.2.4  2006/04/01 17:01:38  glen
- kdepim epoch is now 9

Revision 1.118.2.3  2006/04/01 17:00:41  glen
- unify macros

Revision 1.118.2.2  2006/03/29 13:07:13  glen
- really 3.5.2 (previous commit was accident)

Revision 1.118.2.1  2006/03/29 11:28:58  glen
- 3.5.2

Revision 1.118  2006/01/25 16:35:10  pluto
- disable all-in-one compilation.

Revision 1.117  2006/01/22 19:56:17  arekm
- up to 3.5.1

Revision 1.116  2005/11/25 01:23:34  arekm
- rel 1

Revision 1.115  2005/11/14 13:23:32  arekm
- up to 3.5.0rc1

Revision 1.114  2005/10/10 11:18:11  arekm
- rel 1

Revision 1.113  2005/10/10 06:08:49  arekm
- up to 3.4.3

Revision 1.112  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.111  2005/08/02 06:14:00  arekm
- readd branch patch

Revision 1.110  2005/07/28 20:25:07  arekm
- up to 3.4.2

Revision 1.109  2005/06/01 06:09:08  arekm
- rel 1

Revision 1.108  2005/05/26 13:36:19  arekm
- up to 3.4.1

Revision 1.107  2005/04/16 01:59:36  charles
- BR: mDNSResponder-devel, openssl-devel, xmms-devel
- bcond without xmms

Revision 1.106  2005/04/07 15:37:53  darekr
- BR: sed 4.0, unified

Revision 1.105  2005/03/26 16:56:33  arekm
- rel 1; add missing requires (mkochano)

Revision 1.104  2005/03/16 21:52:02  qboosh
- cosmetics, typo

Revision 1.103  2005/03/16 18:30:23  arekm
- on ftp it sits in 3.4 dir

Revision 1.102  2005/03/16 17:21:39  arekm
- merged from DEVEL

Revision 1.101.2.3  2005/03/06 16:00:06  arekm
- up to 3.4.0

Revision 1.101.2.2  2005/02/24 08:05:39  adgor
- No unsermake BR at this moment

Revision 1.101.2.1  2005/02/20 12:03:54  adgor
- 3.3.92.050217
